Alex Beugnet Alex Beugnet - 1 month ago 10
TypeScript Question

Visual Studio 2015 RC3 TypeScript Intellisense not working anymore

I'm using TypeScript 1.8.10 and TypeScript Tools for VS2015 1.8.1.0 Beta.
Also, I'm using VS2015 RC3

I tried to upgrade to TypeScript 2.0, and I had the exact same issues, so I went back to TypeScript 1.8.
I tried to repair VS2015, to change the tsconfig.json "target" and "module" options, to unload the whole project and setup the TypeScript options in the project file, tried to upgrade the TypeScript tools, and so on; but I still get these errors :

My TypeScript files can't find the @angular packages (Yes they are in my node_module folder), and I even get the Experimental decorators errors, even though I have the "experimentalDecorators": true option in my tsconfig.json.
And there are a lot of errors with the TypeScript libraries as you can see in the screenshot below : lib.d.ts and lib.es6.d.ts

The thing is my build compiles without any issue, but I got countless intellisense errors and I can't code in TypeScript anymore so I really can't work anymore at the moment...

Here is my tsconfig.json :

{
"compilerOptions": {
"outDir": "./wwwroot/app/",
"target": "es6",
"module": "system",
"moduleResolution": "node",
"sourceMap": true,
"emitDecoratorMetadata": true,
"experimentalDecorators": true
},
"exclude": [
"wwwroot",
"node_modules",
"typings",
"typings/main",
"typings/main.d.ts"
]
}


and here is my package.json :

{
"name": "angular2-quickstart",
"version": "1.0.0",
"scripts": {
"postinstall": "typings install",
"tsc": "tsc",
"tsc:w": "tsc -w",
"typings": "typings"
},
"license": "ISC",
"dependencies": {
"@angular/common": "2.0.0-rc.5",
"@angular/compiler": "2.0.0-rc.5",
"@angular/core": "2.0.0-rc.5",
"@angular/forms": "0.3.0",
"@angular/http": "2.0.0-rc.5",
"@angular/platform-browser": "2.0.0-rc.5",
"@angular/platform-browser-dynamic": "2.0.0-rc.5",
"@angular/router": "3.0.0-rc.1",
"@angular/router-deprecated": "2.0.0-rc.2",
"@angular/upgrade": "2.0.0-rc.5",

"angular2-in-memory-web-api": "0.0.15",

"systemjs": "0.19.36",
"core-js": "^2.4.0",
"reflect-metadata": "^0.1.3",
"rxjs": "5.0.0-beta.11",
"zone.js": "^0.6.12"
},
"devDependencies": {
"typescript": "^1.8.10",
"typings": "^1.0.4",
"gulp": "^3.9.1",
"path": "^0.12.7",
"gulp-clean": "^0.3.2",
"gulp-concat": "^2.6.0",
"gulp-typescript": "^2.13.1",
"gulp-tsc": "^1.1.5",
"run-sequence": "^1.2.2"
}
}


Here is a screenshot of my countless intellisense errors :

enter image description here

Any help will be greatly appreciated, I'm really lost with these errors and I don't know what to do anymore... I guess I could completly reinstall VS 2015 but if possible I'd like to avoid doing that.

EDIT : Added project screenshot :

enter image description here

EDIT 2 : I found out that if I change the tsconfig.json target option to "es5", I get Build errors in @angular packages, even though it worked without any issue before. It doesn't change anything about the es6 and es5 libraries tho.

Answer

I still don't know what the problem was, most probably some TypeScript config that went bad in my Visual Studio configuration files, but I solved my problem by uninstalling and re-installing Visual Studio 2015 RC3.

Comments